Subject: [Acme] Remove certificates field from registration object.

From: Jacob Hoffman-Andrews <[email-masked]>
Date: Fri, 19 Aug 2016 11:56:03 -0700

https://github.com/ietf-wg-acme/acme/pull/175

The registration object already contains a list of certificate
applications, and
each application contains a link to the resulting certificate if one was
issued.
This reduces the number of primitives that an ACME server has to support.